Skip to main content
POST
/
merchant
/
gateway
/
wire_transfer_setup
Wire Transfer Setup
curl --request POST \
  --url https://api.unibee.dev/merchant/gateway/wire_transfer_setup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "<string>",
  "minimumAmount": 123,
  "bank": {
    "accountHolder": "<string>",
    "address": "<string>",
    "ABARoutingNumber": "<string>",
    "CNAPS": "<string>",
    "Remarks": "<string>",
    "accountNumber": "<string>",
    "bankName": "<string>",
    "bic": "<string>",
    "bsbCode": "<string>",
    "iban": "<string>",
    "swiftCode": "<string>"
  },
  "displayName": "<string>",
  "gatewayIcons": [
    [
      "<string>"
    ]
  ],
  "sort": 123
}
'
{
  "code": 123,
  "data": {
    "gateway": {
      "IsSetupFinished": true,
      "archive": true,
      "autoChargeEnabled": true,
      "bank": {
        "accountHolder": "<string>",
        "address": "<string>",
        "ABARoutingNumber": "<string>",
        "CNAPS": "<string>",
        "Remarks": "<string>",
        "accountNumber": "<string>",
        "bankName": "<string>",
        "bic": "<string>",
        "bsbCode": "<string>",
        "iban": "<string>",
        "swiftCode": "<string>"
      },
      "companyIssuer": {
        "issueAddress": "<string>",
        "issueCompanyName": "<string>",
        "issueLogo": "<string>",
        "issueRegNumber": "<string>",
        "issueVatNumber": "<string>"
      },
      "countryConfig": {},
      "createTime": 123,
      "currency": "<string>",
      "currencyExchange": [
        {
          "exchange_rate": 123,
          "from_currency": "<string>",
          "to_currency": "<string>"
        }
      ],
      "currencyExchangeEnabled": true,
      "defaultGatewayPaymentType": {
        "autoCharge": true,
        "category": "<string>",
        "countryName": "<string>",
        "name": "<string>",
        "paymentType": "<string>",
        "supportCurrencies": [
          "<string>"
        ]
      },
      "description": "<string>",
      "displayName": "<string>",
      "gatewayIcons": [
        "<string>"
      ],
      "gatewayId": 123,
      "gatewayKey": "<string>",
      "gatewayLogo": "<string>",
      "gatewayName": "<string>",
      "gatewayPaymentTypes": [
        {
          "autoCharge": true,
          "category": "<string>",
          "countryName": "<string>",
          "name": "<string>",
          "paymentType": "<string>",
          "supportCurrencies": [
            "<string>"
          ]
        }
      ],
      "gatewaySecret": "<string>",
      "gatewayType": 123,
      "gatewayWebhookIntegrationLink": "<string>",
      "gatewayWebsiteLink": "<string>",
      "isDefault": true,
      "metadata": {},
      "minimumAmount": 123,
      "name": "<string>",
      "privateSecretName": "<string>",
      "publicKeyName": "<string>",
      "setupGatewayPaymentTypes": [
        {
          "autoCharge": true,
          "category": "<string>",
          "countryName": "<string>",
          "name": "<string>",
          "paymentType": "<string>",
          "supportCurrencies": [
            "<string>"
          ]
        }
      ],
      "sort": 123,
      "subGateway": "<string>",
      "subGatewayName": "<string>",
      "webhookEndpointUrl": "<string>",
      "webhookSecret": "<string>"
    }
  },
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/gateway/wire_transfer_setup Setup the wire transfer

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
bankstringNo
currencystringYesThe currency of wire transfer
displayNamestringNoThe displayName of payment gateway
gatewayIconsarrayNoThe icons of payment gateway
minimumAmountintegerYesThe minimum amount of wire transfer, cents
sortintegerNoThe sort value of payment gateway, The higher the value, the lower the ranking

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/gateway/wire_transfer_setup" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "bank": "",
  "currency": "",
  "displayName": "",
  "gatewayIcons": [],
  "minimumAmount": 0,
  "sort": 0
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/gateway/wire_transfer_setup" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "bank": "",
  "currency": "",
  "displayName": "",
  "gatewayIcons": [],
  "minimumAmount": 0,
  "sort": 0
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.
FieldTypeDescription
codeintegerResponse code. 0 = success
dataobjectResponse payload
data.gatewayobject
messagestringHuman-readable message
requestIdstringRequest ID for support

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Setup the wire transfer

currency
string<string>
required

The currency of wire transfer

minimumAmount
integer<int64>
required

The minimum amount of wire transfer, cents

bank
object
displayName
string<*string>

The displayName of payment gateway

gatewayIcons
string<string>[][]

The icons of payment gateway

sort
integer<*int64>

The sort value of payment gateway, The higher the value, the lower the ranking

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>